.mega-right { max-width: 100%;margin: 0 auto;}
.mega-columns { display: grid;grid-template-columns: 285px 1fr;gap: 50px;}
.mega-right-col { display: flex;flex-direction: column;max-height: 370px;overflow-y: auto;padding-right: 10px;}
.mega-child-wrapper { margin-bottom: 20px;padding: 10px 0 20px;}
.mega-header .mega-menu .mega-left-col .menu-item-has-children.active { background: #0080F7;border-radius: 8px !important;}
.mega-header .mega-menu .mega-left-col .menu-item a { font-weight: 600;line-height: 1.4;padding-right: 20px;}
.mega-header .mega-right .menu-item a { display: flex;font-weight: 400;align-items: center;color: #1d1068;font-family: 'Poppins';font-size: 13px;padding: 8px 10px;}
.mega-header .mega-right { width: 100%;padding: 20px;background: #f1f5ff;display: flex;flex-direction: column;gap: 20px;}
.mega-header .about-menu .mega-right, .mega-header .solutions-menu .mega-right { padding: 20px;}
.mega-header .mega-menu .mega-left-col .menu-item-has-children.active a,.mega-header .mega-menu .mega-left-col .menu-item-has-children:hover a { color: #fff !important;}
.mega-left-col .menudrop-icon { right: 15px;top: 25px;}
.mega-left-col { position: relative;padding-left: 0;list-style: none;height: 250px;overflow-y: auto;}
.mega-right-col .sub-menu { display: grid;grid-template-columns: repeat(3,1fr);gap: 0;}
.aidev-menu .mega-menu .mega-right,.mega-header .about-menu .mega-right, .mega-header .solutions-menu .mega-right { display: flex;flex-direction: column;gap: 20px;}
.mega-child-wrapper { margin-bottom: 0;padding: 0;}
.mega-header .menudrop-icon { display: none !important;}
.mega-right-col .mega-child-wrapper,.mega-header-btn,.mobile-menu,.mobile-menu .sub-menu { display: none;}
.mega-right-col .mega-child-wrapper:first-child,.desktop-menu { display: block;}
.about-menu .mega-menu { width: fit-content !important;min-width: 800px;}
.about-menu { position: relative !important;}
.about-menu .mega-menu { left: 0% !important;}
.about-menu .mega-menu-notice { display: none !important;}
.about-menu .mega-right { width: 100%;padding: 12px;}
.about-menu .mega-left-col a { padding: 8px 12px 8px 0 !important;}
.mega-header .mega-menu .mega-left-col .menu-item-has-children.active .menu-icon-wrap img,.mega-header .mega-menu .mega-left-col .menu-item-has-children:hover .menu-icon-wrap img { filter: brightness(0) invert(1);}
.about-menu .mega-columns { grid-template-columns: 220px 1fr;gap: 0;}
.about-menu .mega-left-col { width: max-content;min-width: fit-content;height: 246px;overflow-y: auto;}
.menu-toggle { display: none;flex-direction: column;gap: 5px;background: transparent;border: 0;padding: 0;cursor: pointer;}
.menu-toggle span { width: 28px;height: 3px;background: #000;display: block;transition: 0.3s;}
.mobile-menu-items,.mobile-submenu { list-style: none;margin: 0;padding: 0;}
.mobile-menu-items li,.mobile-submenu li { border-bottom: 1px solid #eee;}
.mobile-menu-items li a,.mobile-submenu li a {  display: flex;align-items: center;justify-content: space-between;padding: 16px 20px;color: #000 !important;text-decoration: none;font-size: 16px;font-weight: 500;}
.mobile-child-wrapper { display: none;width: 100%;height: 100%;background: #fff;}
.mobile-back { width: 100%;border: 0;background: #f5f5f5;padding: 16px 20px;text-align: left;font-size: 15px;font-weight: 600;cursor: pointer;}
body.menu-open {  overflow: hidden;}
.mega-header li .mega-menu { background: #ffffff00;box-shadow: unset;border-radius: 0 0 12px 12px;}
.mega-header .services-menu .mega-right { height: auto;display: flex;flex-direction: column;gap: 20px;}
.mega-right-col::before { content: "";position: absolute;top: 50%;left: 50%;transform: translate(-50%, -50%);width: 300px;height: 300px;background-image: url("https://media.itechnolabs.ca/wp-content/uploads/2025/10/10095725/cropped-Logo-itechnolabs.webp");background-repeat: no-repeat;background-size: contain;background-position: center;opacity: 0.08;pointer-events: none;z-index: 0;}
.mobile-menu .menu li a { color: #1D1068 !important;}
.main-navigation .mobile-menu{ overflow-y:auto;overflow-x:hidden; -webkit-overflow-scrolling:touch;height: auto;padding: 16px 0;width: 100%;}
.mobile-menu .menu li > .sub-menu li.active-menu > a, .mobile-menu .menu li.active-menu > a { color: #ff6600 !important;}
.mobile-menu .menu > li > .sub-menu > li.active-menu > .sub-menu{ display:block;overflow-y:auto;overflow-x:hidden;max-height:300px;padding-left: 10px;margin-right: 5px; -webkit-overflow-scrolling:touch;}
.main-navigation .mobile-menu::-webkit-scrollbar,.mobile-menu .menu li.active-menu > .sub-menu::-webkit-scrollbar{ width:4px;}
.main-navigation .mobile-menu::-webkit-scrollbar-thumb,.mobile-menu .menu li.active-menu > .sub-menu::-webkit-scrollbar-thumb{ background:#f0f0f0;border-radius:10px;}
.mega-header .mega-left-col .menudrop-icon{ display:block !important;transition:all .3s ease;}
.mega-header .mega-left-col .menudrop-icon i{ transition:transform .3s ease, color .3s ease;}
.mega-header .mega-left-col a{ position:relative;transition:all .3s ease;}
.mega-header .mega-left-col .menu-item-has-children.active:hover .menudrop-icon i,.mega-header .mega-left-col .menu-item-has-children.active .menudrop-icon i{ color:#fff !important;transform:rotate(-90deg);}
.ai-menu .mega-right-col { display: flex;}
.ai-menu .mega-columns, .hire-developer .mega-columns { grid-template-columns: 380px 1fr;width: 100%;}
.mega-simple-list { display: grid; grid-template-columns: repeat(2,1fr);list-style: none;padding-left: 0px !important;}
.mega-right-col .menu-icon { width: 20px;height: 20px;padding: 0;}
.mega-right-col .menu-icon img { width: 100%;height: 100%;object-fit: contain;}
.claude-btn .mega-left-col,.solutions-menu .mega-left-col { height: auto;}
.ai-menu .mega-menu-notice { width: 100%;}
.ai-menu .mega-card-wrap,.hire-developer .mega-card-wrap { display: flex;justify-content: center;align-items: center;padding: 20px;background-color: #2038a7;flex-direction: column;background-image: url('https://media.itechnolabs.ca/wp-content/uploads/2026/05/blue-bg.webp');background-size: cover;background-position: center;background-repeat: no-repeat;border-radius: 12px;text-align: center;}
.ai-menu .mega-heading,.hire-developer .mega-heading { font-size: 32px !important;line-height: 1.2;margin-bottom: 10px; }
.ai-menu .mega-textarea,.ai-menu .mega-heading,.hire-developer .mega-textarea,.hire-developer .mega-heading { color: #fff !important; }
.about-menu .mega-simple-list { grid-template-columns: 1fr;}
.about-menu .cs-btn { text-align: left;}
.about-menu .mega-right-col { order: -1;}
.about-menu .mega-card-wrap { background: #fff;padding: 20px;display: grid;border-radius: 10px;}
.mega-simple-list { max-height: 285px;overflow-y: auto;padding-right: 6px;}
.mega-left-col { padding-right: 6px; }
.mega-simple-list::-webkit-scrollbar,.mega-left-col::-webkit-scrollbar  { width: 6px;}
.mega-simple-list::-webkit-scrollbar-track,.mega-left-col::-webkit-scrollbar-track { background: #f1f1f1;border-radius: 10px;}
.mega-simple-list::-webkit-scrollbar-thumb,.mega-left-col::-webkit-scrollbar-thumb { background: #2038a7;border-radius: 10px;}
.mega-simple-list::-webkit-scrollbar-thumb:hover,.mega-left-col::-webkit-scrollbar-thumb:hover { background: #162b82;}
.mega-simple-list,.mega-left-col { scrollbar-width: thin;scrollbar-color: #2038a7 #f1f1f1;}
.mega-card-image { width: 100%;height: 175px;border-radius: 20px;overflow: hidden;margin-bottom: 20px;}
.mega-card-image img { width: 100%;height: 100%;object-fit: cover;display: block;}
.mega-card-title { order: -1;}
.mega-card-image:not(:has(img)){ display:none;height:0;margin-bottom:0;}
.mega-card-image img[src=""]{ display:none;}
.mega-card-image:has(img[src=""]){ display:none;margin-bottom:0;height:0;}

@media (max-width: 1199px) {
.menu-toggle { display: flex;}
.main-navigation { position: fixed;top: 0;right: -100%;width: 320px;height: auto;background: #fff;overflow-y: auto;transition: 0.4s ease;z-index: 9999;padding: 0;}
.claude-btn > a { padding: 8px 20px !important;color: #000;}
.mobile-submenu-header,.mobile-submenu-header button {  background-color: #1D1068 !important;color: #fff !important;}
.mobile-submenu-header button { padding: 14px 25px;}
.mobile-menu-header .ctabtn.show-mobile,.mega-header-btn { margin-left: auto;display: inline-flex;align-items: center;}
.mobile-menu-header .ctabtn.show-mobile { margin-right: 15px;}
.main-navigation.active { right: 0;}
.menu-open .main-navigation { padding: 20px 0;}
body.menu-open { overflow: hidden;}
.header.mega-header { margin-bottom: 0;}
.header.mega-header .navbar,.menu-desc,.menudrop-icon,.mega-menu-notice,.menu li.menu-item-has-children:hover > .sub-menu { display: none;}
.mega-header-btn,.menu-open .header.mega-header .navbar,.menu-open .header.mega-header .navbar .menu,.mobile-menu { display: block;}
.mobile-menu-items li a, .mobile-submenu li a { padding: 8px 20px;font-size: 14px;}
.menudrop-icon { right: 12px;}
.mobile-arrow { position: absolute;right: 20px;top: 50%;transform: translateY(-50%);transition: transform .3s ease;}
.mobile-menu-items li a, .mobile-submenu li a { justify-content: flex-start;position: relative;}
.main-navigation .menu { flex-direction: column;}
.main-navigation .menu > li { width: 100%;border-bottom: 1px solid #eee;}
.main-navigation .menu > li > a { width: 100%;display: flex;justify-content: space-between;align-items: center;padding: 14px 0;}
.mega-menu { position: static !important;width: 100% !important;opacity: 1 !important;visibility: visible !important;display: none;box-shadow: none;padding: 15px 0;}
.mega-columns { grid-template-columns: 1fr !important;gap: 20px;}
.mega-left-col,.mega-right-col {  width: 100%;}
.sub-menu { grid-template-columns: 1fr !important;}
.mega-menu-notice { flex-direction: column;align-items: flex-start;}
.mega-left-col { gap: 8px;}
.mega-header .mega-right { padding: 0 0 0 10px;}
.mega-menu { padding: 0;}
.aidev-menu .mega-left-col { gap: 8px;grid-template-columns: 1fr !important;}
.desktop-menu{ display:none !important;}
.mobile-menu .sub-menu{ padding-left:15px !important;}
.mobile-menu .menu-item-has-children > a{ position:relative;padding-right:40px;}
.mobile-menu .menu-item-has-children.active-menu > a .mobile-arrow { transform: translateY(-50%) rotate(90deg);}
.mobile-menu .active-menu > a .mobile-arrow{ transform:translateY(-50%) rotate(90deg);}
.mobile-menu .sub-menu li a{ font-size:14px;padding:10px 20px;}
.claude-btn > a { padding: 5px 10px !important;}
.mobile-menu .sub-menu { display: none;padding-left: 15px;}
.mobile-menu .menu li.active-menu > .sub-menu, .header.mega-header .navbar .mobile-menu .menu { display: block;}
}

@media (max-width: 767px) {
.site-logo .custom-logo { width: 100% !important;max-width: unset !important;}
.header.mega-header {  backdrop-filter: unset;}
.mega-header .logo img { image-rendering: -webkit-optimize-contrast;image-rendering: crisp-edges;backface-visibility: hidden;transform: translateZ(0);}
.site-logo { margin: 0;}
}
